try:
    ip = get_ipython()
    ip.magic("pylab")
except NameError:
    pass

__all__ = [
    'np', 'plt',
    'mergenumbers', 'plusnumbers', 'dividenumbers', 'timesnumbers',
    'mergeplots', 'addplots', 'divideplots', 'scaleplot',
    'combineplots', 'combineNplots',
    'integratehistogram', 'mergebins',
    'importreg', 'pattern', 'setup', 'sigma',
    'mergeset', 'mergeseeds', 'mergefks',
    'addsets', 'scaleset',
    'errorband', 'kplot', 'watermark',
    'pi', 'alpha', 'GF', 'conv', 'Mmu', 'Mel', 'Mtau',
    'importvegas', 'mulify'
]


import numpy as np
import matplotlib.pyplot as plt

from vegas import importvegas
from errortools import mergenumbers, plusnumbers, dividenumbers, timesnumbers,\
                       mergeplots, addplots, divideplots, scaleplot,          \
                       combineplots, combineNplots,                           \
                       integratehistogram, mergebins
from loader import importreg, pattern, setup, sigma,                          \
                   mergeset, mergeseeds, mergefks,                            \
                   addsets, scaleset

from plot import errorband, kplot, watermark
from mule import mulify

from constants import pi, alpha, GF, conv, Mmu, Mel, Mtau
